/* 
 * Copyright 2011-2024, The Trustees of Indiana University and Northwestern
 *   University.  Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 * 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed
 *   under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 *   CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 * ---  END LICENSE_HEADER BLOCK  ---
*/

/**
 * Custom branding for Avalon to override Bootstrap, Hydra, and Blacklight
 * defaults. This should be included at the top of the application.scss file
 * so it is preferred over the defaults. */

/**
  Custom variables (Non-bootstrap)
*/
@font-face {
  font-family: 'MuseoSlab';
  src: url('fonts/Museo_Slab_500-webfont.woff') format('woff');
}
$sansFontFamily: Arial, Helvetica, sans-serif;
$museoSlab: 'MuseoSlab';

// Primary colors
$primary: #0A875F;
$secondary: #80a590;
$dark: #0a2326;

// Secondary colors
$yellow: #ffcf08;
$orange: #fbb040;
$white: rgb(255, 255, 255);
$blueGreen: #477076;

// Colors not from the Styleguide
$greenBG: scale-color($secondary, $saturation: -40%, $lightness: 60%);
$gray: #999;
$lightgray: #f2f2f2;
$red: #d9534f;
$blue: #2a4d59;
$lightblue: #31708f;

// Generated palate colors from http://colormind.io/ for Avalon style guide
// Add new HEX values below to match your organization's flavor of info/success/warning/danger
$info: #C0E0D9;
$success: #429453;
$warning: #bf841b;
$danger: #df3603;

/**
  * Bootstrap variable overrides
  *
  * A full list of supported overrides can be found at:
  * https://github.com/twbs/bootstrap-sass/blob/master/assets/stylesheets/bootstrap/_variables.scss */

/* Branding colors */
$brand-primary: $primary;
$brand-success: $success;
$brand-info: $info;
$brand-warning: $warning;
$brand-danger: $danger;

/* Fonts */
$font-family-sans-serif: $sansFontFamily;
$font-family-serif: $museoSlab;

/* Components */
$padding-base-vertical: 4px;

/* Headings */
// $headings-font-family: $museoSlab;

/* Links */
$link-color: $primary;
$link-hover-color: $secondary;

/* Alerts */
$alert-bg-level: 0;
$alert-border-level: 1;
$alert-color-level: -10;

/* General states (success, info, warning, danger) */
$state-warning-bg: $warning;
$state-warning-border: $warning;
$state-warning-text: $white;
$state-danger-bg: $danger;
$state-danger-border: $danger;
$state-danger-text: $danger;

/* Header */
$login-text-color: $gray;
$login-link-color: $primary;
$login-link-background-color: $orange;

/* Sidenav */

/* Change default breakpoint for the navigation bar */
$navCollapseWidth: 650px;

/* Navbar */
$navbar-light-color: $white;
$navbar-light-toggle-hover-bg: $yellow;
$navbar-light-link-color: $white;
$navbar-light-link-hover-color: $primary;
$navbar-light-link-active-color: $primary;
$navbar-border-radius: 0;
$navbar-light-toggle-icon-bar-bg: $white;
$navbar-light-toggle-border-color: $white;

// Inverted navbar toggle
$navbar-inverse-toggle-hover-bg: #e6e6e6;
$navbar-inverse-toggle-icon-bar-bg: $lightgray;
$navbar-inverse-toggle-border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);

$grid-gutter-width: 16px;

/* Buttons */
$btn-outline-color: $dark;
$btn-outline-border-color: $gray;
$btn-outline-bg-color: $white;
$btn-light-bg: $lightgray;
$btn-xs-font-size: 0.85rem;
$btn-xs-height: 1.65rem;
$btn-xs-padding: 0.15rem 0.5rem;

/* Pagination */
$pagination-color: $link-color;
$pagination-bg: $white;
$pagination-border-color: $gray;
$pagination-hover-color: $link-hover-color;
$pagination-hover-bg: $lightgray;
$pagination-hover-border-color: $gray;
$pagination-active-color: $gray;
$pagination-active-bg: $lightgray;
$pagination-active-border-color: $gray;
$pagination-disabled-color: $gray;
$pagination-disabled-bg: $white;
$pagination-disabled-border-color: $gray;

$nav-tabs-active-link-hover-color: $dark;
$input-color: $dark;
